import React from 'react';
import { mount } from 'enzyme';
import { expect } from 'chai';
import { describe, it, specs } from '../../storybook/facade';
import Container from './index';
import Metric from '../Metric';

export default (stories) => {
	stories.add('Container', () => {
		const component = (
			<Container
				style={{
					width: 300,
					margin: 50
				}}
			>
				<Metric.Percentile
					title="Performance Rank"
					value={12}
					change={-43}
				/>
			</Container>
		);

		specs(() => describe('Container', () => {
			const wrapper = mount(component);

			it('Should be ok', () => {
				expect(wrapper).be.ok;
			});
		}));

		return component;
	});
};
